#!/bin/sh

set -euo pipefail

if [ "${PAPERLESS_MODE}" != "all-in-one" -a "${PAPERLESS_MODE}" != "webserver" ]; then
  echo "Not running migration"
  exit 0
fi

source /opt/paperless/venv/bin/activate
echo "Migrating database"
cd /opt/paperless/src
./manage.py migrate

if [ -n "${PAPERLESS_ADMIN_USER}" -a -n "${PAPERLESS_ADMIN_PASSWORD}" -a -n "${PAPERLESS_ADMIN_EMAIL}" ]; then
  echo "Creating admin user ${PAPERLESS_ADMIN_USER}"
  export DJANGO_SUPERUSER_PASSWORD="${PAPERLESS_ADMIN_PASSWORD}"
  ./manage.py createsuperuser --noinput --username ${PAPERLESS_ADMIN_USER} --email ${PAPERLESS_ADMIN_EMAIL} ||\
    echo "Failed to create user ${PAPERLESS_ADMIN_USER} (maybe it already exists ?)"
fi

